## gnome-vfs-module-shared gnome-vfs-module-shared — |

## Synopsis

    const gchar* gnome_vfs_mime_type_from_mode  (mode_t mode);
    void        gnome_vfs_stat_to_file_info     (GnomeVFSFileInfo *file_info,
                                                 const struct stat *statptr);
    GnomeVFSResult gnome_vfs_set_meta           (GnomeVFSFileInfo *info,
                                                 const char *file_name,
                                                 const char *meta_key);
    GnomeVFSResult gnome_vfs_set_meta_for_list  (GnomeVFSFileInfo *info,
                                                 const char *file_name,
                                                 const GList *meta_keys);
    const char* gnome_vfs_get_special_mime_type (GnomeVFSURI *uri);

## Description

## Details

### gnome_vfs_mime_type_from_mode ()

    const gchar* gnome_vfs_mime_type_from_mode  (mode_t mode);

Returns a MIME type based on the `mode`. It only works when `mode` references a special file (directory, device, fifo, socket or symlink).

Returns: a string containing the MIME type, if `mode` is a normal file

`mode` : | value as the st_mode field in the system stat structure.
Returns : | `NULL`.

### gnome_vfs_stat_to_file_info ()

    void        gnome_vfs_stat_to_file_info     (GnomeVFSFileInfo *file_info,
                                                 const struct stat *statptr);

Fills the `file_info` structure with the values from `statptr` structure.

`file_info` : | a GnomeVFSFileInfo which will be filled.
`statptr` : | pointer to a 'stat' structure.

### gnome_vfs_set_meta ()

    GnomeVFSResult gnome_vfs_set_meta           (GnomeVFSFileInfo *info,
                                                 const char *file_name,
                                                 const char *meta_key);

`info` : |
`file_name` : |
`meta_key` : |
Returns : |

### gnome_vfs_set_meta_for_list ()

    GnomeVFSResult gnome_vfs_set_meta_for_list  (GnomeVFSFileInfo *info,
                                                 const char *file_name,
                                                 const GList *meta_keys);

`info` : |
`file_name` : |
`meta_keys` : |
Returns : |

### gnome_vfs_get_special_mime_type ()

    const char* gnome_vfs_get_special_mime_type (GnomeVFSURI *uri);

Gets the MIME type for `uri`, this function only returns the type when the uri points to a file that can't be sniffed (sockets, directories, devices, and fifos).

`uri` : | a GnomeVFSURI to get the mime type for.
Returns : | a string containing the mime type or `NULL` if the `uri` doesn't present a special file.